<?xml version="1.0" encoding="utf-8"?>
<!--
/*
** Copyright 2006, The Android Open Source Project
**
** Licensed under the Apache License, Version 2.0 (the "License");
** you may not use this file except in compliance with the License.
** You may obtain a copy of the License at
**
**     http://www.apache.org/licenses/LICENSE-2.0
**
** Unless required by applicable law or agreed to in writing, software
** distributed under the License is distributed on an "AS IS" BASIS,
** WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
** See the License for the specific language governing permissions and
** limitations under the License.
*/
-->


<!-- If you edit this version, also edit the version in the partner-supplied
    apns-conf.xml configuration file -->
<apns version="8">
    <apn carrier="Cosmote Internet"
        mcc="202"
        mnc="01"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
        network_type_bitmask="1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|19|20"
    />
    <apn carrier="HOS"
        mcc="202"
        mnc="01"
        apn="hos"
        mmsc="http://mmsc.cosmote.gr:8002"
        mmsport="8080"
        mmsproxy="10.10.10.20"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
        network_type_bitmask="18"
    />
    <apn carrier="Cosmote Wireless Internet"
        mcc="202"
        mnc="02"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="202"
        mnc="02"
        apn="hos"
        mmsc="http://mmsc.cosmote.gr:8002"
        mmsproxy="10.10.10.20"
        mmsport="8080"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
        bearer_bitmask ="18"
    />
    <apn carrier="hos"
        mcc="202"
        mnc="05"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="hos"
        mcc="202"
        mnc="10"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="Tele2 GPRS"
        mcc="204"
        mnc="02"
        apn="internet.tele2.nl"
        mmsc="http://mmsc.tele2.nl"
        mmsproxy="193.12.40.64"
        mmsport="8080"
        type="xcap"
    />
    <apn carrier="Tele2 XCAP"
        mcc="204"
        mnc="02"
        apn="internet.tele2.nl"
        type="xcap"
        bearer_bitmask ="18"
    />
    <apn carrier="Vodafone NL"
        mcc="204"
        mnc="04"
        apn="live.vodafone.com"
        user="vodafone"
        password="vodafone"
        mmsc="http://mmsc.mms.vodafone.nl"
        mmsproxy="192.168.251.150"
        mmsport="8799"
        type="xcap"
    />
    <apn carrier="CTNET"
        mcc="204"
        mnc="04"
        apn="ctnet"
        authtype="3"
        user="ctnet@mycdma.cn"
        password="vnet.mobi"
        type="xcap"
        mvno_type="spn"
        mvno_match_data="中国电信"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="8•ta"
        mcc="204"
        mnc="04"
        apn="8ta.internet"
        type="xcap"
        mvno_type="spn"
        mvno_match_data="8.ta Δ"
    />
    <apn carrier="UT-Interface"
        mcc="204"
        mnc="08"
        apn="ut"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="204"
        mnc="16"
        apn="hos"
        user="tmobilemms"
        password="tmobilemms"
        type="xcap"
        authtype="1"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="Lebara XCAP"
        mcc="204"
        mnc="17"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="204"
        mnc="20"
        apn="hos"
        user="tmobilemms"
        password="tmobilemms"
        type="xcap"
        authtype="1"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="XCAP"
        mcc="206"
        mnc="01"
        apn="hos"
        type="xcap"
    />
    <apn carrier="XCAP"
        mcc="206"
        mnc="05"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        network_type_bitmask="1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20"
    />
    <apn carrier="XCAP"
        mcc="206"
        mnc="20"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Orange World"
        mcc="208"
        mnc="01"
        apn="vowifiorange"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        network_type_bitmask="18"
    />

    <apn carrier="SFR"
        mcc="208"
        mnc="10"
        apn="sl2sfr"
        type="xcap"
    />
    <apn carrier="Bouygues Telecom"
        mcc="208"
        mnc="20"
        apn="mmsbouygtel.com"
        mmsc="http://mms.bouyguestelecom.fr/mms/wapenc"
        mmsproxy="62.201.129.226"
        mmsport="8080"
        type="xcap"
    />
    <apn carrier="Lebara Xcap"
        mcc="208"
        mnc="38"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="MMS Bouygues"
        mcc="208"
        mnc="88"
        apn="mmsbouygtel.com"
        mmsc="http://mms.bouyguestelecom.fr/mms/wapenc"
        mmsproxy="62.201.129.226"
        mmsport="8080"
        type="xcap"
    />
    <apn carrier="Ut"
        mcc="214"
        mnc="01"
        apn="ut.es"
        type="xcap"
        server="xcap.ims.mnc001.mcc214.pub.3gppnetwork.org"
        port="8090"
        protocol="IP"
    />
    <apn carrier="HOS"
        mcc="214"
        mnc="04"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="INTERNET GPRS"
        mcc="214"
        mnc="06"
        apn="airtelnet.es"
        user="vodafone"
        password="vodafone"
        type="xcap"
    />
    <apn carrier="HOS"
        mcc="214"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        mvno_type="spn"
        mvno_match_data="Eroski Movil"
    />
    <apn carrier="HOS"
        mcc="214"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        mvno_type="spn"
        mvno_match_data="Hits"
    />
    <apn carrier="HOS"
        mcc="214"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        mvno_type="spn"
        mvno_match_data="Lebara"
    />
    <apn carrier="HOS"
        mcc="214"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        mvno_type="spn"
        mvno_match_data="Lowi"
    />
    <apn carrier="HOS"
        mcc="214"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        mvno_type="spn"
        mvno_match_data="finetwork"
    />
    <apn carrier="HOS"
        mcc="214"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        mvno_type="spn"
        mvno_match_data="Fi Network"
    />
    <apn carrier="HOS"
        mcc="214"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        mvno_type="spn"
        mvno_match_data="Mi Operador"
    />
    <apn carrier="XCAP"
        mcc="214"
        mnc="07"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        network_type_bitmask="1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|19|20"
    />
    <apn carrier="xcap"
        mcc="216"
        mnc="01"
        apn="online"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IP"
    />
    <apn carrier="Digi Supl"
        mcc="216"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="216"
        mnc="30"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        network_type_bitmask ="18"
    />
    <apn carrier="Xcap"
        mcc="216"
        mnc="70"
        apn="hos"
        type="xcap"
    />
    <apn carrier="xcap"
        mcc="218"
        mnc="05"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="xcap"
        mcc="218"
        mnc="90"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="219"
        mnc="01"
        apn="hos"
        mmsc="http://mms.t-mobile.hr/servlets/mms"
        mmsport="8080"
        mmsproxy="10.12.0.4"
        type="xcap"
        authtype="1"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />

    <apn carrier="HOS"
        mcc="219"
        mnc="10"
        apn="hos"
        type="xcap"
    />
    <apn carrier="xcap"
        mcc="220"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />

    <apn carrier="HOS"
        mcc="219"
        mnc="02"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />

    <apn carrier="XCAP/HOS"
        mcc="220"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="220"
        mnc="05"
        apn="hos"
        type="xcap"
    />
    <apn carrier="TIM XCAP"
        mcc="222"
        mnc="01"
        apn="xcap.tim.it"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Xcap"
        mcc="222"
        mnc="07"
        apn="xcap.kena.it"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Vodafone IT"
        mcc="222"
        mnc="10"
        apn="mobile.vodafone.it"
        type="xcap"
    />
    <apn carrier="Vodafone WEB"
        mcc="222"
        mnc="10"
        apn="web.omnitel.it"
        type="xcap"
    />
    <apn carrier="xcap"
        mcc="222"
        mnc="49"
        apn="xcap.vianova.it"
        mmsport="8080"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="222"
        mnc="53"
        apn="xcap.coopvoce.it"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Wind3"
        mcc="222"
        mnc="88"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"/>
    <apn carrier="IMS"
        mcc="222"
        mnc="88"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        mvno_type="gid"
        mvno_match_data="0000000099"
    />

    <apn carrier="IMS"
        mcc="222"
        mnc="99"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />

    <apn carrier="Vodafone Internet"
        mcc="226"
        mnc="01"
        apn="internet.vodafone.ro"
        user="internet.vodafone.ro"
        password="vodafone"
        type="xcap"
    />

    <apn carrier="HOS"
        mcc="226"
        mnc="03"
        apn="hos"
        type="xcap"
        authtype="1"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />

    <apn carrier="HOS"
        mcc="226"
        mnc="06"
        apn="hos"
        type="xcap"
        authtype="1"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />

    <apn carrier="Xcap"
        mcc="226"
        mnc="10"
        apn="xcap"
        type="xcap"
    />

    <apn carrier="Swisscom XCAP"
        mcc="228"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="xcap"
        mcc="228"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Salt HOS"
        mcc="228"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />

    <apn carrier="HOS"
        mcc="230"
        mnc="01"
        apn="hos"
        type="xcap"
        mmsc="http://mms"
        mmsproxy="10.0.0.10"
        mmsport="80"
        authtype="1"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="O2 VoLTE"
        mcc="230"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="O2 VoLTE"
        mcc="230"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="HOS"
        mcc="230"
        mnc="03"
        apn="hos"
        type="xcap"
        authtype="2"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="231"
        mnc="01"
        apn="XCAP"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="231"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="231"
        mnc="02"
        apn="hos"
        mmsc="http://mmsc.telekom.sk"
        password="mms"
        type="xcap"
        user="mms"
        authtype="1"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="231"
        mnc="04"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="O2 VoLTE"
        mcc="231"
        mnc="06"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="A1"
        mcc="232"
        mnc="01"
        apn="A1.net"
        password="ppp"
        type="xcap"
        user="ppp@A1plus.at"
        authtype="3"
    />
    <apn carrier="HOS"
        mcc="232"
        mnc="03"
        apn="hos"
        mmsc="http://mmsc.t-mobile.at/servlets/mms"
        mmsport="80"
        mmsproxy="10.12.0.20"
        password="tm"
        type="xcap"
        user="t-mobile"
        authtype="1"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />

    <apn carrier="Planet3"
        mcc="232"
        mnc="05"
        apn="drei.at"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />

    <apn carrier="HOS"
        mcc="232"
        mnc="07"
        apn="hos"
        mmsc="http://relay.mms.telering.at"
        mmsport="80"
        mmsproxy="212.95.31.50"
        password="wap"
        type="xcap"
        user="wap@telering.at"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="data.bob"
        mcc="232"
        mnc="11"
        apn="bob.at"
        password="ppp"
        type="xcap"
        user="data@bob.at"
        authtype="3"
    />
    <apn carrier="O2 VoLTE"
        mcc="231"
        mnc="06"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="O2 VoLTE"
        mcc="231"
        mnc="06"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="O2 UK"
        mcc="234"
        mnc="10"
        apn="mobile.o2.co.uk"
        user="O2web"
        password="O2web"
        type="xcap"
    />
    <apn carrier=" Internet "
        mcc="234"
        mnc="10"
        apn="mobile.o2.co.uk"
        type="xcap"
        user="O2web"
        password="O2web"
    />
    <apn carrier="Vodafone UK XCAP"
        mcc="234"
        mnc="15"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="3 UK Xcap"
        mcc="234"
        mnc="20"
        apn="three.co.uk"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="MMS"
        mcc="234"
        mnc="30"
        apn="eezone"
        user="eesecure"
        password="secure"
        mmsc="http://mms/"
        mmsproxy="149.254.201.135"
        mmsport="8080"
        authtype="1"
        type="xcap"
        protocol="IP"
    />
    <apn carrier="MMS"
        mcc="234"
        mnc="31"
        apn="eezone"
        user="eesecure"
        password="secure"
        mmsc="http://mms/"
        mmsproxy="149.254.201.135"
        mmsport="8080"
        authtype="1"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="MMS"
        mcc="234"
        mnc="32"
        apn="eezone"
        user="eesecure"
        password="secure"
        mmsc="http://mms/"
        mmsproxy="149.254.201.135"
        mmsport="8080"
        authtype="1"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="MMS"
        mcc="234"
        mnc="33"
        apn="eezone"
        user="eesecure"
        password="secure"
        mmsc="http://mms/"
        mmsproxy="149.254.201.135"
        mmsport="8080"
        authtype="1"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="MMS"
        mcc="234"
        mnc="34"
        apn="eezone"
        user="eesecure"
        password="secure"
        mmsc="http://mms/"
        mmsproxy="149.254.201.135"
        mmsport="8080"
        authtype="1"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="234"
        mnc="38"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="234"
        mnc="53"
        apn="HOS"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="234"
        mnc="54"
        apn="HOS"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="EE Xcap"
        mcc="234"
        mnc="86"
        apn="eezone"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="EE Xcap"
        mcc="235"
        mnc="01"
        apn="eezone"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="EE Xcap"
        mcc="235"
        mnc="02"
        apn="eezone"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="3 UK"
        mcc="235"
        mnc="94"
        apn="three.co.uk"
        mmsc="http://mms.um.three.co.uk:10021/mmsc"
        mmsproxy="mms.three.co.uk"
        mmsport="8799"
        type="xcap"
    />
    <apn carrier="XCAP"
        mcc="238"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV4"
    />
    <apn carrier="XCAP"
        mcc="238"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="services"
        mcc="238"
        mnc="06"
        apn="services"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="services(wifi)"
        mcc="238"
        mnc="06"
        apn="services"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />

    <apn carrier="XCAP"
        mcc="238"
        mnc="10"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV4"
    />

    <apn carrier="HOS"
        mcc="238"
        mnc="20"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="238"
        mnc="20"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        mvno_type="spn"
        mvno_match_data="Telavox"
    />
    <apn carrier="HOS"
        mcc="238"
        mnc="20"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        mvno_type="imsi"
        mvno_match_data="2382089"
    />
    <apn carrier="HOS"
        mcc="238"
        mnc="20"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        mvno_type="spn"
        mvno_match_data="Mit Tele"
    />
    <apn carrier="HOS"
        mcc="238"
        mnc="20"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        mvno_type="spn"
        mvno_match_data="Call me"
    />
    <apn carrier="XCAP"
        mcc="238"
        mnc="77"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="hos"
        mcc="240"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="services"
        mcc="240"
        mnc="02"
        apn="services"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="services(wifi)"
        mcc="240"
        mnc="02"
        apn="services"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="hos"
        mcc="240"
        mnc="05"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />

    <apn carrier="Vimla Ut"
        mcc="240"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        user_visible="false"
    />
    <apn carrier="Telenor Ut"
        mcc="240"
        mnc="08"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        user_visible="false"
    />
    <apn carrier="hos"
        mcc="242"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="242"
        mnc="02"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="242"
        mnc="05"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Elisa XCAP"
        mcc="244"
        mnc="05"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="244"
        mnc="12"
        apn="hos"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="TeliaSonera HOS"
        mcc="244"
        mnc="91"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="246"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="246"
        mnc="02"
        apn="hos"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="HOS"
        mcc="246"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="247"
        mnc="05"
        apn="hos"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="HOS"
        mcc="247"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="247"
        mnc="02"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="248"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="Elisa XCAP"
        mcc="248"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="HOS"
        mcc="248"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Megafon XCAP1"
        mcc="250"
        mnc="02"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Megafon XCAP2"
        mcc="250"
        mnc="011"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="250"
        mnc="20"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="250"
        mnc="20"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        mvno_type="spn"
        mvno_match_data="ROSTELECOM"
    />
    <apn carrier="Beeline XCAP"
        mcc="250"
        mnc="99"
        apn="xcap.beeline.ru"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        user_visible="false"
    />
    <apn carrier="XCAP"
        mcc="257"
        mnc="01"
        apn="xcap"
        type="xcap"
    />
    <apn carrier="XCAP"
        mcc="257"
        mnc="02"
        apn="xcap"
        type="xcap"
    />
    <apn carrier="HOS"
        mcc="260"
        mnc="02"
        apn="hos"
        mmsc="http://mms/servlets/mms"
        mmsproxy="213.158.194.226"
        mmsport="8080"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
        authtype="1"
        user_visible="false"
    />
    <apn carrier="HOS"
        mcc="260"
        mnc="02"
        apn="hos"
        mmsc="http://mms/servlets/mms"
        mmsproxy="213.158.194.226"
        mmsport="8080"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
        authtype="1"
        mvno_type="spn"
        mvno_match_data="heyah"
        user_visible="false"
    />
    <apn carrier="xcap"
        mcc="260"
        mnc="06"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="260"
        mnc="34"
        apn="hos"
        mmsc="http://mms/servlets/mms"
        mmsproxy="213.158.194.226"
        mmsport="8080"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="HOS"
        mcc="262"
        mnc="01"
        apn="hos"
        authtype="1"
        mmsc="http://mms.t-mobile.de/servlets/mms"
        mmsport="8008"
        mmsproxy="109.237.176.193"
        password="telekom"
        type="xcap"
        user="telekom"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="Vodafone DE"
        mcc="262"
        mnc="02"
        apn="web.vodafone.de"
        type="xcap"
    />
    <apn carrier="o2"
        mcc="262"
        mnc="03"
        apn="internet"
        mmsc="http://10.81.0.7:8002"
        mmsproxy="82.113.100.5"
        mmsport="8080"
        type="xcap"
    />
    <apn carrier="Vodafone DE"
        mcc="262"
        mnc="04"
        apn="web.vodafone.de"
        type="xcap"
    />
    <apn carrier="HOS"
        mcc="262"
        mnc="06"
        apn="hos"
        authtype="1"
        mmsc="http://mms.t-mobile.de/servlets/mms"
        mmsport="8008"
        mmsproxy="109.237.176.193"
        password="telekom"
        type="xcap"
        user="telekom"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="o2"
        mcc="262"
        mnc="07"
        apn="internet"
        mmsc="http://10.81.0.7:8002"
        mmsproxy="82.113.100.5"
        mmsport="8080"
        type="xcap"
    />
    <apn carrier="o2"
        mcc="262"
        mnc="08"
        apn="internet"
        mmsc="http://10.81.0.7:8002"
        mmsproxy="82.113.100.5"
        mmsport="8080"
        type="xcap"
    />
    <apn carrier="Vodafone DE"
        mcc="262"
        mnc="09"
        apn="web.vodafone.de"
        type="xcap"
    />
    <apn carrier="o2"
        mcc="262"
        mnc="11"
        apn="internet"
        mmsc="http://10.81.0.7:8002"
        mmsproxy="82.113.100.5"
        mmsport="8080"
        type="xcap"
    />
    <apn carrier="Lebara Xcap"
        mcc="262"
        mnc="14"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="262"
        mnc="23"
        apn="hos"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="Telekom Deutschland XCAP"
        mcc="262"
        mnc="78"
        apn="internet.telekom"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Vodafone PT"
        mcc="268"
        mnc="01"
        apn="net2.vodafone.pt"
        user="vodafone"
        password="vodafone"
        type="xcap"
    />
    <apn carrier="HOS"
        mcc="268"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="268"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="268"
        mnc="89"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="268"
        mnc="93"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="268"
        mnc="97"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="268"
        mnc="98"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="268"
        mnc="99"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="270"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />

    <apn carrier="Tango XCAP"
        mcc="270"
        mnc="77"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
        bearer="14"
        mvno_type="spn"
        mvno_match_data="Tango"
    />

    <apn carrier="xcap"
        mcc="272"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        network_type_bitmask="1|2|3|4|5|6|7|8|9|10|11|12|13|14|15|16|17|18|19|20"
    />
    <apn carrier="xcap"
        mcc="272"
        mnc="02"
        apn="hos"
        type="xcap"
    />
    <apn carrier="xcap"
        mcc="272"
        mnc="05"
        apn="hos"
        type="xcap"
    />
    <apn carrier="Vodafone Internet"
        mcc="274"
        mnc="02"
        apn="gprs.is"
        type="xcap"
    />
    <apn carrier="hos"
        mcc="276"
        mnc="02"
        bearer="14"
        apn="hos"
        type="xcap"
    />
    <apn carrier="Vodafone Internet"
        mcc="278"
        mnc="01"
        apn="internet"
        user="internet"
        password="internet"
        type="xcap"
    />
   <apn carrier="xcap"
        mcc="280"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
        mcc="284"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
        mcc="284"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Turkcell Xcap"
        mcc="286"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Vodafone Internet"
        mcc="286"
        mnc="02"
        apn="internet"
        user="vodafone"
        password="vodafone"
        type="xcap"
    />
    <apn carrier="Vodafone Turkey Xcap"
        mcc="286"
        mnc="02"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="Avea Xcap"
        mcc="286"
        mnc="03"
        apn="web"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="293"
        mnc="40"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="hos"
        mcc="293"
        mnc="41"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="XCAP"
        mcc="293"
        mnc="70"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="294"
        mnc="01"
        apn="hos"
        type="xcap"
        authtype="1"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="Hos"
        mcc="294"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IP"
    />
    <apn carrier="Swisscom XCAP"
        mcc="295"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IP"
    />
    <apn carrier="Telenor XCAP"
        mcc="297"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IP"
    />
    <apn carrier="HOS"
        mcc="297"
        mnc="02"
        apn="hos"
        type="xcap"
        authtype="1"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="TELUS Services"
        mcc="302"
        mnc="220"
        apn="services.telus.com"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="TELUS Services"
        mcc="302"
        mnc="221"
        apn="services.telus.com"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="302"
        mnc="490"
        apn="xcap.freedommobile.ca"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
        user_visible="false"
    />
    <apn carrier="ATT Nextgenphone"
        mcc="310"
        mnc="030"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone"
        mcc="310"
        mnc="070"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone(wifi)"
        mcc="310"
        mnc="070"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="internet"
        mcc="310"
        mnc="150"
        apn="ndo"
        mmsc="http://mmsc.aiowireless.net"
        mmsproxy="proxy.aiowireless.net"
        mmsport="80"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="ATT Nextgenphone"
        mcc="310"
        mnc="170"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone(wifi)"
        mcc="310"
        mnc="170"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone"
        mcc="310"
        mnc="280"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone"
        mcc="310"
        mnc="380"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone(wifi)"
        mcc="310"
        mnc="380"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone"
        mcc="310"
        mnc="410"
        apn="nxtgenphone"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="ATT Nextgenphone(wifi)"
        mcc="310"
        mnc="410"
        apn="nxtgenphone"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="ATT Nextgenphone"
        mcc="310"
        mnc="560"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone(wifi)"
        mcc="310"
        mnc="560"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone"
        mcc="310"
        mnc="680"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone(wifi)"
        mcc="310"
        mnc="680"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="ATT Nextgenphone"
        mcc="310"
        mnc="950"
        apn="nxtgenphone"
        protocol="IPV4V6"
        mmsc="http://mmsc.mobile.att.net"
        mmsproxy="proxy.mobile.att.net"
        mmsport="80"
        type="xcap"
    />
    <apn carrier="MoviStar Internet"
        mcc="334"
        mnc="03"
        apn="internet.movistar.mx"
        user="movistar"
        password="movistar"
        type="xcap"
    />
    <apn carrier="Telcel XCAP"
        mcc="334"
        mnc="020"
        apn="internet.itelcel.com"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="MoviStar Internet"
        mcc="334"
        mnc="030"
        apn="internet.movistar.mx"
        user="movistar"
        password="movistar"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="XCAP"
        mcc="334"
        mnc="050"
        apn="xcap"
        type="xcap"
    />
    <apn carrier="Orange caraïbes UT"
        mcc="340"
        mnc="01"
        apn="orangeut"
        type="xcap"
    />
    <apn carrier="hos"
        mcc="400"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="04"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="05"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="07"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="11"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="12"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="13"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="14"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="15"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="19"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="20"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="22"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="24"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="27"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="30"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="43"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="44"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="46"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="56"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="60"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="78"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="82"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="84"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="86"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="87"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="404"
        mnc="88"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="404"
        mnc="89"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="405"
        mnc="66"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="405"
        mnc="67"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="70"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="405"
        mnc="750"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="405"
        mnc="751"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="405"
        mnc="752"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="405"
        mnc="753"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="405"
        mnc="754"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="405"
        mnc="755"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="405"
        mnc="756"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="799"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="840"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="845"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="846"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="847"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="848"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="849"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="850"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="851"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="852"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="853"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="854"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="855"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="856"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="857"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="858"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="859"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="860"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="861"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="862"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet Xcap(wifi)"
        mcc="405"
        mnc="862"
        apn="Jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        network_type_bitmask="18"
        user_visible="false"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="863"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="864"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="865"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="866"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="867"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="868"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="869"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="870"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="871"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="872"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="873"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Jionet"
        mcc="405"
        mnc="874"
        apn="jionet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="908"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="909"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="910"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="405"
        mnc="911"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="410"
        mnc="03"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="410"
        mnc="06"
        apn="internet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Internet"
        mcc="414"
        mnc="06"
        apn="internet"
        type="xcap"
        protocol="IP"
    />
    <apn carrier="Mytel-XCAP"
        mcc="414"
        mnc="09"
        apn="mytel-xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="416"
        mnc="03"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="418"
        mnc="05"
        apn="hos"
        type="xcap"
    />
    <apn carrier="HOS"
        mcc="418"
        mnc="20"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Fastlink Internet"
        mcc="418"
        mnc="66"
        apn="fastlink"
        type="xcap"
    />
    <apn carrier="xcap"
        mcc="419"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="jawalnet.com.sa"
        mcc="420"
        mnc="01"
        apn="jawalnet.com.sa"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="zain-xcap"
        mcc="420"
        mnc="04"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Xcap"
        mcc="420"
        mnc="09"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="xcap"
        mcc="421"
        mnc="11"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="HOS"
        mcc="422"
        mnc="06"
        apn="Hos.vodafone.om"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Etisalat XCAP"
        mcc="424"
        mnc="02"
        apn="ut"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="du"
        mcc="424"
        mnc="03"
        apn="du"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="425"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="XCAP"
        mcc="425"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />

    <apn carrier="xcap"
        mcc="425"
        mnc="07"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
        mcc="425"
        mnc="26"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="xcap"
        mcc="427"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
        mcc="427"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="xcap"
        mcc="427"
        mnc="07"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="hos"
        mcc="429"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
        mcc="440"
        mnc="51"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
        mcc="440"
        mnc="54"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="452"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="XCAP"
        mcc="452"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="452"
        mnc="04"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="CTEXCEL"
        mcc="454"
        mnc="00"
        apn="ctexcel"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        mvno_type="spn" mvno_match_data="CTExcel"
    />
    <apn carrier="CTNET"
        mcc="454"
        mnc="03"
        apn="ctnet"
        authtype="3"
        user="ctnet@mycdma.cn"
        password="vnet.mobi"
        type="xcap"
        mvno_type="spn"
        mvno_match_data="中国电信"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="CTNET"
        mcc="454"
        mnc="04"
        apn="ctnet"
        authtype="3"
        user="ctnet@mycdma.cn"
        password="vnet.mobi"
        type="xcap"
        mvno_type="spn"
        mvno_match_data="中国电信"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
        mcc="454"
        mnc="12"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="CTEXCEL"
        mcc="454"
        mnc="31"
        apn="ctexcel"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        mvno_type="spn"
        mvno_match_data="CTExcel"
    />
    <apn carrier="CTNET"
        mcc="454"
        mnc="31"
        apn="ctnet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        mvno_type="spn"
        mvno_match_data="中国电信"
    />
    <apn carrier="xcap"
        mcc="455"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="CTNET"
        mcc="455"
        mnc="02"
        apn="ctnet"
        authtype="3"
        user="ctnet@mycdma.cn"
        password="vnet.mobi"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="CTNET"
        mcc="455"
        mnc="07"
        apn="ctnet"
        authtype="3"
        user="ctnet@mycdma.cn"
        password="vnet.mobi"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Smart"
        mcc="456"
        mnc="06"
        apn="smart"
        protocol="IP"
        roaming_protocol="IP"
        type="xcap"
    />
    <apn carrier="Smart"
        mcc="456"
        mnc="06"
        apn="smart"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
        bearer_bitmask ="18"
    />
    <apn carrier="Seatel"
        mcc="456"
        mnc="11"
        apn="seatel"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="CMNET"
        mcc="460"
        mnc="00"
        apn="cmnet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="沃宽带用户连接互联网"
        mcc="460"
        mnc="01"
        apn="3gnet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="China Telecom"
        mcc="460"
        mnc="01"
        apn="3gnet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
        mvno_type="spn"
        mvno_match_data="China Telecom"
    />
    <apn carrier="沃宽带用户连接互联网"
        mcc="460"
        mnc="09"
        apn="3gnet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="CMNET"
        mcc="460"
        mnc="02"
        apn="cmnet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="CTNET"
        mcc="460"
        mnc="03"
        apn="ctnet"
        authtype="3"
        user="ctnet@mycdma.cn"
        password="vnet.mobi"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="CMNET"
        mcc="460"
        mnc="07"
        apn="cmnet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="中国联通 3g 网络 (China Unicom)"
        mcc="460"
        mnc="09"
        apn="3gnet"
        type="xcap"
        protocol="IPV4V6"
    />
    <apn carrier="CTNET"
        mcc="460"
        mnc="11"
        apn="ctnet"
        authtype="3"
        user="ctnet@mycdma.cn"
        password="vnet.mobi"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="CTNET"
        mcc="460"
        mnc="12"
        apn="ctnet"
        user="ctnet@mycdma.cn"
        password="vnet.mobi"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="FarEasTone XCAP"
        mcc="466"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
  
    <apn carrier="FarEasTone XCAP"
        mcc="466"
        mnc="02"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="FarEasTone XCAP"
        mcc="466"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="gtnet"
        mcc="466"
        mnc="05"
        apn="gtnet"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="CHT XCAP"
        mcc="466"
        mnc="92"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="TM XCAP"
        mcc="466"
        mnc="97"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="hos"
        mcc="502"
        mnc="12"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="502"
        mnc="16"
        apn="hos"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="XCAP"
        mcc="502"
        mnc="18"
        apn="xcap"
        type="xcap"
        protocol="IP"
    />
    <apn carrier="XCAP"
        mcc="502"
        mnc="19"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Yest Internet"
        mcc="502"
        mnc="152"
        apn="yesnet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Unifi Internet"
        mcc="502"
        mnc="153"
        apn="unifi"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="505"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="Optus Call Settings"
        mcc="505"
        mnc="02"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="VHA XCAP"
        mcc="505"
        mnc="03"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="VHA XCAP"
        mcc="505"
        mnc="06"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="505"
        mnc="71"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="hos"
        mcc="505"
        mnc="72"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="ISAT XCAP"
        mcc="510"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Smartfren4G"
        mcc="510"
        mnc="09"
        apn="Smartfren4G"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Telkomsel XCAP"
        mcc="510"
        mnc="10"
        apn="xcap"
        authtype="3"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XL XCAP"
        mcc="510"
        mnc="11"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Smartfren4G"
        mcc="510"
        mnc="28"
        apn="Smartfren4G"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
         mcc="510"
         mnc="89"
         apn="xcap"
         type="xcap"
         protocol="IPV4V6"
         roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
         mcc="515"
         mnc="02"
         apn="xcap"
         type="xcap"
         protocol="IPV4V6"
         roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="515"
        mnc="03"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="DITO XCAP"
        mcc="515"
        mnc="66"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="TRUE-H UT"
        mcc="520"
        mnc="00"
        apn="XCAP"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="TRUE-H UT"
        mcc="520"
        mnc="00"
        apn="XCAP"
        type="xcap"
        mvno_match_data="01"
        mvno_type="gid"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
        mcc="520"
        mnc="03"
        apn="xcap"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV6"
    />
    <apn carrier="TRUE-H UT"
        mcc="520"
        mnc="04"
        apn="XCAP"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="DTAC XCAP"
        mcc="520"
        mnc="05"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="NT Mobile XCAP"
        mcc="520"
        mnc="15"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="NT Mobile XCAP"
        mcc="520"
        mnc="17"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="DTAC XCAP"
        mcc="520"
        mnc="18"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="SingTel XCAP"
        mcc="525"
        mnc="01"
        apn="stm-ut"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="MobileOne XCAP"
        mcc="525"
        mnc="03"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="shxcap"
        mcc="525"
        mnc="05"
        apn="shxcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="hos"
        mcc="525"
        mnc="10"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="530"
        mnc="24"
        apn="hos"
        type="xcap"
    />
    <apn carrier="Ora Mobile"
        mcc="547"
        mnc="05"
        apn="ims"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="hos"
        mcc="602"
        mnc="02"
        apn="hos"
        type="xcap"
        protocol="IPV6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="602"
        mnc="04"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="604"
        mnc="00"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="MTNNG"
        mcc="621"
        mnc="30"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="xcap"
        mcc="605"
        mnc="03"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="xcap"
        mcc="639"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />
    <apn carrier="XCAP"
        mcc="645"
        mnc="05"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="UT"
        mcc="655"
        mnc="02"
        apn="ut"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />

    <apn carrier="XCAP"
        mcc="655"
        mnc="38"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="XCAP"
        mcc="655"
        mnc="74"
        apn="xcap"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />

    <apn carrier="Ut VoLTE"
        mcc="704"
        mnc="02"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="XCAP"
        mcc="647"
        mnc="04"
        apn="zeopservice"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IP"
    />

    <apn carrier="HOS"
        mcc="712"
        mnc="04"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />

    <apn carrier="CLARO XCAP"
        mcc="716"
        mnc="10"
        apn="claro.pe"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="MOVISTAR XCAP"
        mcc="722"
        mnc="07"
        apn="Internet"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Personal XCAP"
        mcc="722"
        mnc="34"
        apn="hos"
        type="xcap"
    />
    <apn carrier="CLARO XCAP"
        mcc="722"
        mnc="310"
        apn="igprs.claro.com.ar"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />

    <apn carrier="Claro XCAP"
        mcc="724"
        mnc="05"
        apn="xcap"
        user="claro"
        password="claro"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />

    <apn carrier="hos"
        mcc="730"
        mnc="01"
        apn="hos"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Movistar"
        mcc="730"
        mnc="02"
        apn="wap.tmovil.cl"
        user="wap"
        password="wap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="WEB CLARO"
        mcc="730"
        mnc="03"
        apn="bam.clarochile.cl"
        user="clarochile"
        password="clarochile"
        type="xcap"
    />

    <apn carrier="Claro xcap"
        mcc="732"
        mnc="101"
        apn="internet.comcel.com.co"
        type="xcap"
        authtype="1"
        user="COMCELWEB"
        password="COMCELWEB"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="hos"
        mcc="732"
        mnc="103"
        apn="hos"
        type="xcap"
        protocol="IP"
    />
    <apn carrier="hos"
        mcc="732"
        mnc="111"
        apn="hos"
        type="xcap"
        protocol="IP"
    />
    <apn carrier="MOVISTAR XCAP"
        mcc="732"
        mnc="123"
        apn="hos"
        type="xcap"
        protocol="IP"
        roaming_protocol="IP"
    />
    <apn carrier="XCAP"
        mcc="732"
        mnc="360"
        apn="XCAP"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Claro xcap"
        mcc="740"
        mnc="01"
        apn="internet.claro.com.ec"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
    <apn carrier="Xcap"
        mcc="748"
        mnc="01"
        apn="xcap"
        type="xcap"
        protocol="IPV4V6"
        roaming_protocol="IPV4V6"
    />
</apns>
